.light {
  --bkground0: rgb(250, 250, 245);
  --bkground1: rgb(40, 55, 25);
  --bkground2: rgb(100, 110, 55);
  --bkground-content: rgb(255, 250, 225);
  --border-color: black;
  --text-color: black;
  --shadow: rgb(0, 0, 0, 0.2);
  --details1: rgb(200, 120, 50);
  --details2: rgb(230, 170, 105);
  --smoke: rgb(75, 175, 80);
}
.dark {
  --bkground0: rgb(245, 240, 230); /* Bege claro */
  --bkground1: rgb(60, 40, 20); /* Marrom escuro */
  --bkground2: rgb(90, 60, 30); /* Marrom médio */
  --bkground-content: rgb(140, 90, 50); /* Marrom caramelo */
  --border-color: rgb(180, 140, 100); /* Marrom claro */
  --text-color: #f5e9dc; /* Tom creme para melhor contraste */
  --shadow: rgb(205, 150, 100); /* Sombra marrom suave */
  --details1: rgb(190, 150, 110); /* Detalhe marrom claro */
  --details2: rgb(230, 175, 115); /* Detalhe marrom médio */
  --smoke: rgb(75, 175, 80); /* Marrom esfumaçado */
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  color: var(--text-color);
  text-decoration: none;
}
body {
  margin: 0;
  padding: 0;
  font-family: Arial, sans-serif;
  background-color: var(--bkground-content);
}
.toggle {
  display: inline-block;
  cursor: pointer;
}
.icon {
  width: 24px;
  height: 24px;
}
.welcome {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 32px;
  padding: 10px;
  background-color: var(--bkground1);
}
.welcome p {
  color: #fff;
}
.cart-badge {
  display: flex;
  position: absolute;
  justify-content: center;
  align-items: center;
  width: 10px;
  height: 10px;
  border-radius: 50%;
  font-size: 7.5px;
  background-color: rgb(225, 60, 50); 
  color: white;
  transform: translate(85%, 50%);
}

/*
  Bloco de config de todo Header
*/
.header {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  height: 200px;
  background-color: var(--bkground0);

}
.header h1 {
  font-family: "Zen Tokyo Zoo";
  font-size: 100px;
  font-weight: 300;
  line-height: 70px;
  letter-spacing: 6px;
  color: var(--bkground2);
}

.header div {
  display: flex;
  justify-content: flex-start;
  align-items: flex-end;
  text-align: right;
  padding: 30px;
}

.navbar {
  display: flex;
  justify-content: space-around;
  padding: 5px 0;
  background-color: var(--bkground2);
  box-shadow: 0 2px 4px var(--shadow);
  gap: 10px;
}
.navbar a {
  text-align: center;
  width: 150px;
  border-radius: 10px;
  font-size: 1.1rem;
  letter-spacing: 1px;
  color: #fff;
  transition: background-color 0.3s ease, transform 0.3s ease;
  text-decoration: none;
}
.navbar a:hover {
  font-weight: bold;
  color: var(--details2);
}

/* 
  Bloco de config dos itens
    Configuração do Display
    Configuração dos itens
    Configuração das tag's criadas pelo JS 
*/
.main-itens {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  padding: 20px;
  gap: 20px;
}
.item {
  text-align: center;
  padding: 10px;
  border: 1px solid #ddd;
  border-radius: 10px;
  background-color: #fff;
  transition: box-shadow 0.3s;
}
.item:hover {
  box-shadow: 0 2px 4px var(--smoke);
}
.item img {
  text-align: center;
  width: 200px;
  height: 200px;
  border-radius: 8px;
}
.item h2 {
  text-align: center;
  height: 40px;
  margin-bottom: 20px;
  font-size: 1.5rem;
  font-weight: bold;
  color: var(--bkground2);
}
.item p {
  text-align: left;
  margin-bottom: 10px;
  font-size: 1rem;
  line-height: 1.5;
  color: black;
}
.description {
  text-align: left;
  padding: 3px;
  text-decoration: underline solid 2px var(--bkground1);
  text-underline-offset: 4px;
}
.description button {
  display: block;
  border: none;
  border-radius: 8px;
  font-size: 1rem;
  font-weight: bold;
  line-height: 1.5;
  background-color: transparent;  
  color: var(--details1);
}
.description p {
  display: none;
  position: absolute;
  max-width: 400px;
  margin: 10px 0 0 30px;
  padding: 10px;
  border: solid 1px black;
  border-radius: 5px;
  font-size: 0.9rem;
  color: var(--details2) !important;
  background: rgba(0, 0, 0, 0.8);
}
/* .description button:hover {
  box-shadow: 0 2px 6px var(--shadow);
} */
.item p strong {
  color: var(--details1);
}

/* 
  Bloco de config do carrinho 
    Botão de adição e subtração
    Botão de adicionar ao carrinho
    Exibição da quantidade
*/
.add-cart {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 10px;
  padding: 8px;
  border-radius: 8px;
  background-color: var(--bkground-content);
  gap: 10px;
}
.add-cart button {
  width: 30px;
  height: 30px;
  border: none;
  border-radius: 50%;
  font-size: 1.2rem;
  background-color: var(--bkground2);
  color: var(--text-color);
  cursor: pointer;
}
.add-cart-btn {
  text-align: center;
  width: 100%;
  margin-top: 10px;
  padding: 10px;
  border: none;
  border-radius: 8px;
  font-size: 1rem;
  background-color: var(--details1);
  color: var(--text-color);
  transition: background-color 0.3s;
  cursor: pointer;
}
.add-cart-btn:hover {
  background-color: var(--details2);
}

/*
  Bloco de configuração do Footer
*/
footer {
  font-size: 1.1rem;
  background-color: var(--bkground2);
}
.footer-content {
  display: flex;
  justify-content: space-around;
  padding: 20px;
  gap: 10px;
}
.footer-content p, .footer-content h3, .footer-right p {
  color: floralwhite;
}
.footer-socials {
  display: flex;
  flex-direction: column;
  max-width: 40%;
  gap: 5px;
}
.footer-contact {
  display: flex;
  flex-direction: column;
  width: 40%;
  gap: 5px;
}
.footer-socials h3, .footer-contact h3 {
  font-family: "Zen Tokyo Zoo", sans-serif;
  font-size: 1.2rem;
  font-weight: 100;
  letter-spacing: 4px;
}
.footer-right {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  padding: 20px 0;
  background-color: var(--bkground1);
  gap: 10px;
}

.footer-link-acess {
  font-weight: bold;
  color: var(--details1);
  text-decoration: none;
}
.footer-link-acess:hover {
  color: var(--details2);
  text-decoration: underline;
}
.footer-link-socials {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin-top: 20px;
  gap: 20px;
}
.footer-link-socials a {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 12px;
  border: 1px solid var(--text-color);
  border-radius: 50%;
  font-size: 1.3rem;
  color: var(--text-color);
  transition: background-color 0.3s, transform 0.3s;
}
.footer-link-socials a:hover {
  transform: scale(1.1);
}
.footer-link-socials a[uk-icon="instagram"]:hover {
  background: linear-gradient(130deg, #515BD4, #8134AF, #DD2A7B, #FEDA77, #F58529);
}
.footer-link-socials a[uk-icon="facebook"]:hover {
  background-color: rgb(60, 90, 152);
}
.footer-link-socials a[uk-icon="linkedin"]:hover {
  background-color: rgb(15, 120, 170);
}
.footer-link-socials a[uk-icon="whatsapp"]:hover {
  background-color: rgb(65, 195, 80);
}
.footer-link-socials a[uk-icon="x"]:hover {
  background-color: rgb(255, 255, 255);
}
.footer-link-socials a[uk-icon="tiktok"]:hover {
  background-color: rgb(255, 255, 255);
}
